<?php
/**
 * Include shortcodes.
 *
 * @package    Advanced Business Hours
 * @since      1.0.0
 * @author     Dolatabadi
 * @copyright  Copyright (c) 2017, Dolatabadi
 */

/**
 * Exit if accessed directly.
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Advanced Business Hours Widget Shortcodes.
 */
class Adv_Business_Hours_Widget_Shortcodes {
	/**
	 * Constructor.
	 */
	public function __construct() {
		add_shortcode( 'adv-business-hours', array( &$this, 'widget_shortcode' ) );
		add_shortcode( 'adv-business-hours-ajax', array( &$this, 'widget_shortcode_ajax' ) );
	}

	/**
	 * Add main shortcode.
	 */
	public function widget_shortcode( $atts ) {
		$atts = shortcode_atts( array(
			'id' => false,
		), $atts, 'adv-business-hours' );

		$options   = get_option( 'widget_adv_business_hours' );
		$widget_id = $atts['id'];
		$instance  = $options[ $widget_id ];

		$args = wp_parse_args( (array) $instance, abh_default_args() );

		return abh_ajax_output( $args );
	}

	/**
	 * Shortcode when ajax is enabled
	 *
	 * @param $atts
	 *
	 * @return string
	 * @since 1.6.0
	 */
	public function widget_shortcode_ajax( $atts ) {
		$atts = shortcode_atts( array(
			'id' => false,
		), $atts, 'adv-business-hours-ajax' );

		$options   = get_option( 'widget_adv_business_hours' );
		$widget_id = $atts['id'];
		$instance  = $options[ $widget_id ];

		$args = wp_parse_args( (array) $instance, abh_default_args() );

		return abh_output( $args );
	}
}

new Adv_Business_Hours_Widget_Shortcodes();